2017-11-19 10:11 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003506Kali Linux[All Projects] New Tool Requestspublic2017-06-13 08:46
Reporterg0tmi1k 
Assigned Tosbrun 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version2017.2 
Summary0003506: Add ssh-audit
DescriptionName: ssh-audit
Version: v1.0.20160812
Homepage: https://github.com/arthepsy/ssh-audit
Download: https://github.com/arthepsy/ssh-audit/archive/master.zip
Description: ssh-audit is a tool for ssh server auditing.

## Features
- grab banner, detect ssh1 protocol and zlib compression;

- gather key-exchange, host-key, encryption and message authentication code algorithms;

- output algorithm information (available since, removed/disabled, unsafe/weak/legacy, etc);

- analyze SSH version compatibility based on algorithm information;

- historical information from OpenSSH and Dropbear SSH;

- no dependencies, compatible with python2 and python3;
Attached Files

-Relationships
+Relationships

-Notes

~0006785

sbrun (manager)

I pushed in kali-rolling the package from Debian Unstable
+Notes

-Issue History
Date Modified Username Field Change
2016-08-29 21:33 g0tmi1k New Issue
2017-05-31 13:41 sbrun Assigned To => sbrun
2017-05-31 13:41 sbrun Status new => assigned
2017-06-01 12:41 sbrun Status assigned => resolved
2017-06-01 12:41 sbrun Resolution open => fixed
2017-06-01 12:41 sbrun Note Added: 0006785
2017-06-13 08:46 g0tmi1k Fixed in Version => 2017.2
+Issue History